Bug 1270903 (CVE-2015-5302)

Summary: CVE-2015-5302 libreport: Possible private data leak in Bugzilla bugs opened by ABRT
Product: [Other] Security Response Reporter: Adam Mariš <amaris>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: security-response-team
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=moderate,public=20151015,reported=20151012,source=redhat,cvss2=2.6/AV:N/AC:H/Au:N/C:P/I:N/A:N,fedora-all/libreport=affected,rhel-6/libreport=affected,rhel-7/libreport=affected,cwe=CWE-201
Fixed In Version: Doc Type: Bug Fix
Doc Text:
It was found that ABRT may have exposed non-public information to Red Hat Bugzilla during crash reporting. A bug in the libreport library caused changes made by a user in files included in a crash report to be discarded. As a result, Red Hat Bugzilla attachments may contain data that was not intended to be made public, including host names, IP addresses, or command line options.
Story Points: ---
Clone Of: Environment:
Last Closed: 2019-06-08 02:44:05 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 1266853, 1270235, 1272355, 1282143, 1282144    
Bug Blocks: 1262260, 1270911    

Description Adam Mariš 2015-10-12 15:51:35 UTC
A bug was found in libreport which causes that user's changes made to reported data are thrown away. Only the changes to the first file in the list are saved and the rest is discarded. It means that Bugzilla attachments can contain data that user wanted to remove.

The affected files are:
- backtrace
- cmdline (/proc/[pid]/cmdline)
- environ (/proc/[pid]/environ)
- open_fds (/proc/[pid]/{fd,fdinfo})
- maps (/proc/[pid]/maps)
- smaps (/proc/[pid]/smaps)
- hostname
- remote ("1" if the problem directory was uploaded from another host)
- ks.cfg (Anaconda's ks.cfg file)
- anaconda-tb

The bug has been introduced with libreport-2.0.7 which was released in Fedora 16.

Comment 2 Kurt Seifried 2015-10-15 16:34:49 UTC
The BZ group in question has 10 emails, one of which appears to be a fedoraproject mailing list (no idea how big). The information leaked could be sensitive, e.g. ks.cfg, the command line options and so on. So this gets a CVE and unembargo since the commit is public and explains what is going on as well.

Comment 3 Adam Mariš 2015-10-16 08:14:18 UTC
Created libreport tracking bugs for this issue:

Affects: fedora-all [bug 1272355]

Comment 4 Fedora Update System 2015-10-28 16:24:32 UTC
abrt-2.6.1-6.fc22, libreport-2.6.3-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2015-10-31 16:08:55 UTC
abrt-2.7.0-2.fc23, libreport-2.6.3-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 8 Adam Mariš 2015-11-18 09:09:31 UTC
Acknowledgments:

This issue was discovered by Bastien Nocera of Red Hat.

Comment 9 errata-xmlrpc 2015-11-23 09:22:10 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2015:2504 https://rhn.redhat.com/errata/RHSA-2015-2504.html

Comment 10 errata-xmlrpc 2015-11-23 14:26:48 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2015:2505 https://rhn.redhat.com/errata/RHSA-2015-2505.html

Comment 11 Fedora Update System 2015-11-26 00:19:04 UTC
abrt-2.3.0-12.fc21, libreport-2.3.0-10.fc21 has been pushed to the Fedora 21 stable repository. If problems still persist, please make note of it in this bug report.